<?php

namespace app\common\validate;

use think\Validate;

/**
 
 * 
 
 * 
 * ----------------------------------------------------------------------------
 * 
 
 * 验证器
 */
class  Buy extends Validate
{
    protected $rule = [
        'address_realname' => 'require',
        'address_detail' => 'require',
    ];
    protected $message = [
        'address_realname.require' => '真实姓名必填',
        'address_detail.require' => '地址为必填',
    ];
    protected $scene = [
        'add_addr' => ['address_realname', 'address_detail'],
    ];
}
