<?php

namespace app\common\validate;

use think\Validate;

/**
 
 * DSO2O多用户商城
 
 * 
 * ----------------------------------------------------------------------------
 * 
 
 * 验证器
 */
class  ExpresscfKdnConfig extends Validate
{

    protected $rule = [
        'express_code' => 'require',
        'expresscf_kdn_config_pay_type' => 'require',
    ];
    protected $message = [
        'express_code.require' => '快递公司编码必填',
        'expresscf_kdn_config_pay_type.require' => '运费支付方式必填',
    ];
    protected $scene = [
        'expresscf_kdn_config_add' => ['express_code', 'expresscf_kdn_config_pay_type'],
        'expresscf_kdn_config_edit' => ['expresscf_kdn_config_pay_type'],
    ];
}
